bestcoder专题

BestCoder Round #62 (div.2)Clarke and five-pointed star(极角排序,判断五边形)

题目链接 题意:给你五个点,问这五个点是否可以组成正五边形(正五角星,等价于正五边形)。 解答:先极角排序,(让五个点按照顺时针或者逆时针的顺序)然后我们计算五条边是不是一样,然后在看对角线是不是都一样。 #include<cstdio>#include<iostream>#include<algorithm>#include<cmath>#include<set>#includ

BestCoder Round #62 (div.2)Clarke and food (简单贪心)

题目链接 题意:有个背包容量是V,现在有n个物品,每个物品有一个体积,问背包最多能装多少个。 解法:先排序,从小到大选。 #include<cstdio>#include<iostream>#include<algorithm>#include<cmath>#include<set>#include<map>#include<string>#include<cstring>

BestCoder Round #42(3/4)

http://acm.hdu.edu.cn/showproblem.php?pid=5232 Shaking hands Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others)Total Submission(s): 169    Accepted Submission(s):

BestCoder Round #47 ($) HDU 5280 Senior\'s Array

http://acm.hdu.edu.cn/showproblem.php?pid=5280 考少年——报考杭州电子科技大学计算机学院  Senior's ArrayTime Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others)Total Submission(s): 244

--bestcoder

Untitled Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others)Total Submission(s): 774    Accepted Submission(s): 423 Problem Description There is an integer  a and n i

BestCoder #47 10011002

【比赛链接】clikc here~~ ps:真是wuyu~~做了两小时,A出两道题,最后因为没加longlong全部被别人hack掉!,最后居然不知道hack别人不成功也会掉分,还一个劲的hack 别人的代码,昨天真是个悲催的比赛,~~~~(>_<)~~~~,下面弱弱献上代码~~ 1002比1001还简单~~ 1002  Senior's Gun /*BestCoder Round

BestCoder Round #20 解题报告 A.B.C.

A题:who is the best? 题目地址:HDU 5123 水题。 哈希,然后枚举找最大的,从小的开始找。 代码如下: #include <iostream>#include <cstdio>#include <string>#include <cstring>#include <stdlib.h>#include <math.h>#include <ctype.

bestcoder 1002 Taking Bus

1002 Taking Bus简单的分类讨论,设s,x,y分别表示公交的始发站,起点和终点。大概有这样几种情况:1. s≤x<y, 2. x<s<y,3. x<y≤s, 4. s≤y<x, 5. y<s<x, 6. y<x≤s分别写出公式即可。答案应该会超过int,注意要用long long。/************************************************ Aut

BestCoder Round #61 (div.2)

比赛的时候过了两道,第三道超时20分钟过得 A题简单,我用了17分钟才写出来,看了界面熊大大的status,四分钟,直接把我吓傻,看了他的代码才知道,与大大之间的差距有多大: #include <iostream>#include <cstdio>#include <cmath>#include <cstring>#define LL long long#define pir pir

BestCoder Round #45

又把自己给坑了,,,,这样做下去太没意思了,要么好好干下去,要么趁早走人 A题水 B题,开始想了半天硬是没想出来,然后开始hack之后才写完算法,提交WA。想了半天感觉哪里都是对的,,,,,其实是自己太垃圾,简单的地方都能写错。 #include<cstdio>#include<iostream>#include<cstring>#include<algorithm>#defin

BestCoder Round #43

水了两道题,而且有一道还被hack了。。。 A题不说 B题 刚看到题目我愣了半天,后来才想明白如果先对所有数取模,那么任意两个数的和一定在0到2q之间,准确的说,是在0到2Q-2之间,而且它们对Q的模存在两个极大值点,于是我的第一版写的是从小到大遍历,先与最后一个相加获得第二个极大值点,再二分小于Q的最大值,交上去第一次RE,当时没有仔细检查,直接数组开大十倍又交了遍Ac。然后就被HACK,

BestCoder Round #42

第一次打bc,也是我第一次打这种比赛,做出来三道不过system test时挂掉一道。原来比赛是这么的好玩。。。总的来说,还是有很多收获的 首先我感觉,我的手速还是有了那么一点提升的 A题水题代码略 B题变形二分 #include<cstdio>#include<cstring>#include<iostream>#include<algorithm>#define MAX 1

【索引】BestCoder Round #3

Problem1001:Task schedule Problem1002: BestCoder Sequence Problem1003: String Problem1004:Problem about GCD

hdu 4908 BestCoder Sequence(计数)

题目链接:hdu 4908 BestCoder Sequence 题目大意:给定N和M,N为序列的长度,由1~N组成,求有多少连续的子序列以M为中位数,长度为奇数。 解题思路:v[i]记录的是从1~i这些位置上有多少个数大于M,i-v[i]就是小于M的个数。pos为M在序列中的位置。如果有等式i−j=2∗(v[i]−v[j−1]),i≥pos≥j 那么i和j既是一组满足的情况。将等

BestCoder Round #41 A B C

A:52张牌,枚举每种可以的情况,统计已经有x张牌了,需要换的就是5 - x张,不断维护最小值就可以了 B:败的情况只有2种,两个串奇偶性不同,两个串完全相同,所以简单统计一下就可以了,最后除上总情况C(n, 2)即可 C:这题看了官方题解才会的,dp[i][j] = dp[i - j][j] + dp[i - j][j - 1],自己也是没想到,弱爆了,具体的可以看官方题解,有的递推式子,然

BestCoder杯中国大学生程序设计冠军赛 HDU 5221 Occupation

题目链接~~> 做题感悟 :区域赛过后就没写过树剖 ,只记得思想,比赛时想到了,但是只打代码就打了半个多小时(真是醉了!!),然后就是不断的调试代码,悲催的是调了一个多小时也没调出来。。。。。 解题思路:这题只要想到某个节点的子树的所有节点编号都大于此节点的编号(在线段树中的位置的编号,树剖的时候编号都是连续的)且是连续的,那么我们只要深搜的时候记录一下子树最大的一个子节点的时间戳(在线段树中

BestCoder #1-2 HDU 4858

暴力的方法能过,但是网上有更优化的方法, #include <iostream>#include <string.h>#include <stdio.h>#include <algorithm>#include <vector>#include <map>#include <queue>using namespace std;#define LL long long#def

BestCoder #1-1 HDU 4857 逆拓扑排序

//// main.cpp// HDU 4857 拓扑排序//// Created by 郑喆君 on 8/9/14.// Copyright (c) 2014 itcast. All rights reserved.//#include<cstdio>#include<cstring>#include<iostream>#include<iomanip>#includ

HDU 4909 String BestCoder第三轮第三题

这个题参考的大神的代码。。 我的AC代码 #include<cstdio>#include<cstring>#include<iostream>#include<iomanip>#include<queue>#include<cmath>#include<stack>#include<map>#include<vector>#include<set>#include<a

BestCoder #37 Rikka with string (hdu 5205)

// 这题一开始看的时候觉得就是取最右边的问号,依次从大到小枚举// 注意没有?和?在中间的情况特判,结果wa了十一发,还是没有找到// 错误在哪里,看了一下discuss里面的数据发现5 b??ab这组用我先开始// 的思路是跪了的。我的会输出QwQ。。。//// 然后看了看大牛们的思路,发现自己所谓的最右边是错的,这题要求字典序最小// 可以先全部把?填成a,判断是否回文,//

hdu 5747 Aaronson (BestCoder Round #84 1001)

至今不懂官方题解是什么意思:答案就是popcount(n)-popcount(\lfloor \frac{n}{2^m} \rfloor) + \lfloor \frac{n}{2^m} \rfloorpopcount(n)−popcount(⌊​2​m​​​​n​​⌋)+⌊​2​m​​​​n​​⌋. rfloor popcount是数出一个二进制数中有几个1,如0110就是2 用贪心过得比

BestCoder Round #47 (ABC)

比赛链接:http://bestcoder.hdu.edu.cn/contests/contest_show.php?cid=608 Senior's Array Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others) Total Submission(s): 888    Ac

BestCoder Round #45 (1,2)

比赛链接:http://bestcoder.hdu.edu.cn/contests/contest_show.php?cid=604 Dylans loves numbers Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 131072/131072 K (Java/Others) Total Submission(s):

bestcoder lines

Problem Description John has several lines. The lines are covered on the X axis. Let A is a point which is covered by the most lines. John wants to know how many lines cover A. Input

BestCoder Round #85 前三题

第一题: sum sum Accepts: 640 Submissions: 1744 Time Limit: 2000/1000 MS (Java/Others) Memory Limit: 131072/131072 K (Java/Others) 问题描述 给定一个数列,求是否存在连续子列和为m的倍数,存在输出YES,否则输出NO 输入描述 输入文件的第一行有一个正整数T(1

[BestCoder Round #3] hdu 4910 Problem about GCD

转载自: http://www.kuangbin.net/archives/hdu4910  慢慢学习. HDU 4910 Problem about GCD 求小于等于 N 的与N互质的所有数的乘积MOD N   Problem about GCD Time Limit: 2000/1000 MS (Java/Others)    Memory Limi